OGRE-Next: Ogre::CompositorPassComputeDef::ComputeTextureSource Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CompositorPassComputeDef::ComputeTextureSource Struct Reference

`#include <OgreCompositorPassComputeDef.h>`

## Public Member Functions
| ComputeTextureSource (uint32 _texUnitIdx, IdString _textureName)
| ComputeTextureSource (uint32 _texUnitIdx, IdString _textureName, ResourceAccess::ResourceAccess _access, uint8 _mipmapLevel, uint16 _textureArrayIndex, PixelFormatGpu _pixelFormat, bool _allowWriteAfterWrite)

## Public Attributes
union { |
bool allowWriteAfterWrite |
bool usesAllFields |
}; |
ResourceAccess::ResourceAccess | access
uint8 | mipmapLevel
PixelFormatGpu | pixelFormat
uint16 | textureArrayIndex
IdString | textureName
| Name of the texture (can come from input channel, local textures, or global ones).
uint32 | texUnitIdx
| Index of texture unit state to change.

## Constructor & Destructor Documentation

## ◆ ComputeTextureSource() [1/2]

Ogre::CompositorPassComputeDef::ComputeTextureSource::ComputeTextureSource | ( | uint32 | _texUnitIdx,
|  | IdString | _textureName )
| inline

References access, allowWriteAfterWrite, mipmapLevel, Ogre::PFG_UNKNOWN, pixelFormat, textureArrayIndex, textureName, and texUnitIdx.

## ◆ ComputeTextureSource() [2/2]

Ogre::CompositorPassComputeDef::ComputeTextureSource::ComputeTextureSource | ( | uint32 | _texUnitIdx,
|  | IdString | _textureName,
|  | ResourceAccess::ResourceAccess | _access,
|  | uint8 | _mipmapLevel,
|  | uint16 | _textureArrayIndex,
|  | PixelFormatGpu | _pixelFormat,
|  | bool | _allowWriteAfterWrite )
| inline

References access, allowWriteAfterWrite, mipmapLevel, pixelFormat, textureArrayIndex, textureName, and texUnitIdx.

## Member Data Documentation

## ◆ [union]

union { ... } Ogre::CompositorPassComputeDef::ComputeTextureSource

## ◆ access

ResourceAccess::ResourceAccess Ogre::CompositorPassComputeDef::ComputeTextureSource::access

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ allowWriteAfterWrite

bool Ogre::CompositorPassComputeDef::ComputeTextureSource::allowWriteAfterWrite

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ mipmapLevel

uint8 Ogre::CompositorPassComputeDef::ComputeTextureSource::mipmapLevel

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ pixelFormat

PixelFormatGpu Ogre::CompositorPassComputeDef::ComputeTextureSource::pixelFormat

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ textureArrayIndex

uint16 Ogre::CompositorPassComputeDef::ComputeTextureSource::textureArrayIndex

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ textureName

IdString Ogre::CompositorPassComputeDef::ComputeTextureSource::textureName

Name of the texture (can come from input channel, local textures, or global ones).

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ texUnitIdx

uint32 Ogre::CompositorPassComputeDef::ComputeTextureSource::texUnitIdx

Index of texture unit state to change.

Referenced by ComputeTextureSource(), and ComputeTextureSource().

## ◆ usesAllFields

bool Ogre::CompositorPassComputeDef::ComputeTextureSource::usesAllFields

The documentation for this struct was generated from the following file:

- OgreCompositorPassComputeDef.h